﻿--
-- LiquidManureBody
-- specialization for swap body, when it has liquitmanurestorage spezi. The body was selected when attach, so 
-- now when attach the next selectable Implement is selected a the body not selectable
-- 
--
-- @author Bluebaby210 www.mod-portal.de
-- @date 31.07.2013
--
-- @version: v 1.0 release at modcontest 2013
--
--

LiquidManureBody = {};

function LiquidManureBody.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(liquitmanurestorage, specializations) and SpecializationUtil.hasSpecialization(ExchangeableBody, specializations);
end;

function LiquidManureBody:load(xmlFile)
	self.liquidManure = SpecializationUtil.callSpecializationsFunction("liquidManure");
	self.oneTime = true;
end;

function LiquidManureBody:delete()
end;

function LiquidManureBody:mouseEvent(posX, posY, isDown, isUp, button)
end;

function LiquidManureBody:keyEvent(unicode, sym, modifier, isDown)
end;

function LiquidManureBody:readStream(streamId, connection)
end;

function LiquidManureBody:writeStream(streamId, connection)
end;

function LiquidManureBody:readStreamUpdate(streamId, connection)	
end;

function LiquidManureBody:writeStreamUpdate(streamId, connection)
end;

function LiquidManureBody:updateTick(dt)
end;

function LiquidManureBody:update(dt)
	if self.oneTime then
		if self.bodyAttacher ~= nil then
			self.bodyAttacher:selectNextSelectableImplement();
		end;
		self.oneTime = false;
	end;
end;

function LiquidManureBody:draw()
end;

function LiquidManureBody:onAttach(attacherVehicle)
	self.oneTime = true;
end;

function LiquidManureBody:onDetach()
end;

function LiquidManureBody:liquidManure()
end;
